﻿<Project Sdk="Microsoft.NET.Sdk.BlazorWebAssembly">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <RunAnalyzersDuringLiveAnalysis>False</RunAnalyzersDuringLiveAnalysis>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Components\Map.razor.cs" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="Components\MapComponent.razor.cs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="AntDesign" Version="0.9.4" />
    <PackageReference Include="Blazored.LocalStorage" Version="4.2.0" />
    <PackageReference Include="Blazored.SessionStorage" Version="2.2.0" />
    <PackageReference Include="BlazorIndexedDB" Version="0.3.1" />
    <PackageReference Include="ChartJs.Blazor.Fork" Version="2.0.2" />
    <PackageReference Include="CurrieTechnologies.Razor.Clipboard" Version="1.4.0" />
    <PackageReference Include="MatBlazor" Version="2.9.0-develop-042" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly" Version="6.0.5" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.DevServer" Version="6.0.5" PrivateAssets="all" />
    <PackageReference Include="Microsoft.AspNetCore.WebUtilities" Version="2.2.0" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.1" />
    <PackageReference Include="System.Net.Http.Json" Version="6.0.0" />
  </ItemGroup>

</Project>
